#version 430 core

in vec2 textureCoords;

out vec4 out_Colour;

uniform sampler2D colorTextureScene;

uniform sampler2D colorTextureFilter;

void main(void)
{
	//should be basic inversion of image
	vec4 invColorTexture = vec4(vec3(1.0 - texture(colorTextureScene, textureCoords)), 1.0);
	out_Colour =  invColorTexture + vec4(texture(colorTextureFilter, textureCoords).rgb, 1.0 );
	out_Colour =  vec4(vec3(1 - out_Colour), 1.0) ;
}