#version 430 core


in vec3 position;

out vec4 clipSpace;
out vec2 textureCoordinates;

uniform mat4 modelMatrix;
uniform mat4 viewProjMatrix;

const float tiling = 1.0;

void main(void)
{
	clipSpace = viewProjMatrix * modelMatrix * vec4(position.x, position.y, position.z, 1.0);
	gl_Position = clipSpace;
	textureCoordinates = vec2(position.x/2.0 + 0.5, position.z/2.0 + 0.5) * tiling;
	// x/40 x/40
	
	//textureCoords = vec2((position.x + 1.0) / 2.0, (position.y + 1.0) / 2.0);
	//textureCoordinates = vec2((position.x + 1) / 2, (position.z + 1) / 2) * tiling;
}